<?php
/*
Plugin Name: TablePress 扩展：自定义默认选项设置
Plugin URI: https://cnzhx.net/wordpress-plugins/tablepress/extensions/
Description: Custom Extension for TablePress that changes some of the default TablePress / DataTables options for new tables. 
Name in English: TablePress Extension: Customise Default Options for new tables
Version: 1.0
Author: H Zeng
Author URI: https://cnzhx.net/
*/

/*
 * Register necessary Plugin Filters.
 */
add_filter( 'tablepress_table_template', 'tablepress_change_default_values' );

/**
 * 
 * @since 1.0
 *
 * @param array $default_table Table template.
 * @return array Modified table template.
 */
function tablepress_change_default_values( $default_table ) {
	// 说明：
	// 这里修改的是新建表格下方各设置。关系是唯一对应的。
	// true 表示启用；false 表示禁用。
	// 需要默认开启的功能，请将对应的 false 改成 true，反之则反之。
	// 数字对应的是默认数值。
	// 其它参数值见该行后的注释。
	// for TablePress options（表格默认选项）
	$default_table['options']['table_head'] = true; // 显示表格标题行
	$default_table['options']['table_foot'] = false; // 显示表格尾注行
	$default_table['options']['alternating_row_colors'] = true; // 交替行背景色
	$default_table['options']['row_hover'] = true; // 鼠标悬停时改变行背景色
	$default_table['options']['print_name'] = false; // 显示表格名称
	$default_table['options']['print_name_position'] = "below"; // 显示表格名称的位置，默认是“下方”（below），可改为“上方”（above）
	$default_table['options']['print_description'] = false; // 显示表格描述文字
	$default_table['options']['print_description_position'] = "below"; // 显示表格描述文字的位置，默认是“下方”（below），可改为“上方”（above）
	
	// for DataTables Javascript features （DataTables Javascript 默认选项）
	$default_table['options']['use_datatables'] = true; // 启用 DataTables
	$default_table['options']['datatables_sort'] = true; // 启用排序
        $default_table['options']['datatables_filter'] = true; // 启用搜索/过滤
        $default_table['options']['datatables_paginate'] = true; // 默认开启分页
        $default_table['options']['datatables_paginate_entries'] = "10"; // 更改默认分页显示行数为 20
	$default_table['options']['datatables_lengthchange'] = true; // 分页功能启用时允许访客修改每页条目数
        $default_table['options']['datatables_info'] = true; // 显示表格信息
        $default_table['options']['datatables_scrollx'] = false; // 默认关闭水平滚动条
	
	return $default_table;
}
